PETSc version 3.17.4
Fix/Edit manual page

# DMGetLabelValue

Get the value in a DMLabel for the given point, with -1 as the default

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelValue(DM dm, const char name[], PetscInt point, PetscInt *value)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name
| point | - The mesh point

### Output Parameter

| value | - The label value for this point, or -1 if the point is not in the label

### See Also

DMLabelGetValue(), DMSetLabelValue(), DMGetStratumIS()

### Level

beginner

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages